curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"canEnrollFromSalesforce": true,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": {},
"dataSources": [
{
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"property": "<string>",
"missing": "<string>"
}
}
],
"id": "<string>",
"isEnabled": true,
"nextAvailableActionId": "<string>",
"objectTypeId": "<string>",
"revisionId": "<string>",
"suppressionListIds": [
123
],
"timeWindows": [
{
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"type": "CONTACT_FLOW",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"name": "<string>",
"startActionId": "<string>",
"unEnrollmentSetting": {
"flowIds": [
"<string>"
]
},
"uuid": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Retrieve workflows
Recupera los detalles de múltiples flujos de automatización proporcionando un lote de ID de flujo en el cuerpo de la solicitud. Este punto de terminación permite una recuperación eficiente de múltiples flujos a la vez, y devuelve sus detalles en una única respuesta.
curl --request POST \
--url https://api.hubapi.com/automation/v4/flows/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"flowId": "<string>",
"type": "FLOW_ID"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"canEnrollFromSalesforce": true,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": {},
"dataSources": [
{
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"property": "<string>",
"missing": "<string>"
}
}
],
"id": "<string>",
"isEnabled": true,
"nextAvailableActionId": "<string>",
"objectTypeId": "<string>",
"revisionId": "<string>",
"suppressionListIds": [
123
],
"timeWindows": [
{
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"type": "CONTACT_FLOW",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"name": "<string>",
"startActionId": "<string>",
"unEnrollmentSetting": {
"flowIds": [
"<string>"
]
},
"uuid": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Show child attributes
Show child attributes
Respuesta
successful operation
La fecha y hora en que se completó el proceso por lotes, con formato de cadena de fecha y hora.
- Option 1
- Option 2
Show child attributes
Show child attributes
La fecha y hora en que comenzó el proceso por lotes, con formato de cadena de fecha y hora.
El estado actual del proceso por lotes, con los valores posibles: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Una colección de URL relacionadas con el proceso por lotes, vacía para esta operación.
Show child attributes
Show child attributes
La fecha y hora en que se inició la solicitud de lote, con formato de cadena de fecha y hora.